[workspace]
channels = ["conda-forge"]
name = "tango_admin"
platforms = ["linux-64", "osx-arm64", "osx-64", "win-64"]

[tasks]
configure = { cmd = [
    "cmake",
    "$CMAKE_ARGS",
    "-DCMAKE_VERBOSE_MAKEFILE=ON",
    "-DBUILD_TESTING=OFF",
    "-DCMAKE_BUILD_TYPE=Debug",
    "-DCMAKE_INSTALL_PREFIX=\"$CONDA_PREFIX\"",
    "-S.",
    "-Bbuild",
], inputs = [
    "CMakeLists.txt",
    "TangoCmakeModules/",
], outputs = [
    "build/CMakeFiles/",
] }
build = { cmd = "cmake --build build", depends-on = ["configure"] }
install = { cmd = "cmake --install build", depends-on = ["build"] }
test = { cmd = "ctest --test-dir build", depends-on = ["build"]}

[target.win-64.tasks]
configure = { cmd = [
    "cmake",
    "-GNMake Makefiles",
    "-DCMAKE_BUILD_TYPE=Release",
    "-DCMAKE_INSTALL_PREFIX=\"$CONDA_PREFIX/Library\"",
    "-S.",
    "-Bbuild",
], inputs = [
    "CMakeLists.txt",
    "TangoCmakeModules/",
], outputs = [
    "build/CMakeFiles/",
] }

[dependencies]
cmake = ">=3.18"
cppzmq = ">=4.10.0"
cpptango = ">=10.0.2,<11"
pytest = ">=8.3.5,<9"
pytango = ">=10.0.2,<11"

[target.unix.dependencies]
cxx-compiler = "*"
pkg-config = "*"
make = "*"

[target.win-64.dependencies]
# cxx-compiler still installs vs2019 on windows
vs2022_win-64 = "*"
